Update planning settings
PATCH
/planning
const url = 'https://example.com/planning';const options = { method: 'PATCH', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"routingPreferences":"example","dayStart":"07:30","dayEnd":"07:30","breakMinutes":1,"deliveryWindowHours":1,"loadMinutes":1,"stopMinutes":1,"itemMinutes":1,"trafficPercent":1,"peakPercent":1,"peakMorningFrom":"07:30","peakMorningTo":"07:30","peakEveningFrom":"07:30","peakEveningTo":"07:30"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/planning \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "routingPreferences": "example", "dayStart": "07:30", "dayEnd": "07:30", "breakMinutes": 1, "deliveryWindowHours": 1, "loadMinutes": 1, "stopMinutes": 1, "itemMinutes": 1, "trafficPercent": 1, "peakPercent": 1, "peakMorningFrom": "07:30", "peakMorningTo": "07:30", "peakEveningFrom": "07:30", "peakEveningTo": "07:30" }'Rounds already planned keep the estimate they were planned with until they are measured again.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
routingPreferences
string
dayStart
string
Example
07:30dayEnd
string
Example
07:30breakMinutes
integer
loadMinutes
integer
stopMinutes
number
itemMinutes
number
trafficPercent
integer
peakPercent
integer
peakMorningFrom
string | null
Example
07:30peakMorningTo
string | null
Example
07:30peakEveningFrom
string | null
Example
07:30peakEveningTo
string | null
Example
07:30Responses
Section titled “Responses”The settings as they now stand
Media typeapplication/json
object
routingPreferences
string
dayStart
required
string
dayEnd
required
string
breakMinutes
required
integer
deliveryWindowHours
required
loadMinutes
required
integer
stopMinutes
required
number
itemMinutes
required
number
trafficPercent
required
integer
peakPercent
required
integer
peakMorningFrom
required
string | null
peakMorningTo
required
string | null
peakEveningFrom
required
string | null
peakEveningTo
required
string | null
updatedAt
required
string format: date-time
Example
{ "dayStart": "07:30", "dayEnd": "07:30", "deliveryWindowHours": 1, "peakMorningFrom": "07:30", "peakMorningTo": "07:30", "peakEveningFrom": "07:30", "peakEveningTo": "07:30"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}